<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/messageListItem"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical"
    android:padding="6dp" >

    <RelativeLayout
        android:id="@+id/relativeWrapper"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center" >

        <TextView
            android:id="@+id/IDLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginLeft="4dp"
            android:layout_marginTop="1sp"
            android:layout_toRightOf="@+id/ID"
            android:text="(Win/Door)"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/ID"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:text="ID"
            android:textColor="@color/off_white"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/dimensionLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/ID"
            android:layout_marginTop="2dp"
            android:text="Dim:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/dimension"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/dimensionLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/dimensionLabel"
            android:text="in&apos;&apos; x in&apos;&apos;"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/areaLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/dimensionLabel"
            android:layout_marginTop="2dp"
            android:text="Area:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/area"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/areaLabel"
            android:text="area"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/area_units"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/area"
            android:text="ft"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/area_square"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/area_units"
            android:layout_marginTop="-2dp"
            android:layout_toRightOf="@+id/area_units"
            android:text="2"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/constNoLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_marginTop="1sp"
            android:layout_toLeftOf="@+id/constNo"
            android:text="Const No:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/constNo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginLeft="4dp"
            android:layout_marginTop="1sp"
            android:text="XX-X"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/facingLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/qtyLabel"
            android:layout_marginTop="2dp"
            android:layout_toLeftOf="@+id/facing"
            android:text="Facing:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/facing"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignTop="@+id/facingLabel"
            android:layout_marginLeft="4dp"
            android:text="F"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/shade_areaLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shade_percent"
            android:layout_marginTop="2dp"
            android:text="Shaded:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/shade_area"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shade_areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/shade_areaLabel"
            android:text="shade"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/shade_area_units"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shade_areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/shade_area"
            android:text="ft"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/shade_area_square"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shade_area_units"
            android:layout_marginTop="-2dp"
            android:layout_toRightOf="@+id/shade_area_units"
            android:text="2"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/qtyLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/constNoLabel"
            android:layout_marginTop="2dp"
            android:layout_toLeftOf="@+id/qty"
            android:text="Qty:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/qty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignTop="@+id/qtyLabel"
            android:layout_marginLeft="4dp"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/shade_percent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_below="@+id/facingLabel"
            android:layout_marginTop="2dp"
            android:text="###%"
            android:textColor="@color/off_white"
            android:textSize="12sp" />
    </RelativeLayout>

</LinearLayout>